
#include "MySlider.h"

MySlider::MySlider(BRect frame,const char *name,BMessage *msg,unsigned char initValue)
:BScrollBar(frame,name,NULL,0,255,B_HORIZONTAL)
{
	this->msg=msg;
	this->initValue=initValue;
	target=NULL;
}

void MySlider::SetTarget(BLooper *target)
{
	this->target=target;
}

void MySlider::ValueChanged(long newValue)
{
	BMessage	*nmsg;
	
	nmsg=new BMessage(msg->what);
	nmsg->AddLong("value",newValue);
	
	target->PostMessage(nmsg);
}

void MySlider::AttachedToWindow(void)
{
	SetValue(initValue);
}
